ContainerInstance (CMDB Model API)
Keywords: com.collation.platform.model.provision.definition.ContainerInstance interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.provision.definition
Interface ContainerInstance

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface ContainerInstance

extends ModelObject

Naming Rules:
  0="objectId"
Persistable:
  true
Table Name:
  CONTINST
Display Name:
  hostId,port

Method Summary
`java.lang.String` | `getHostId()`
`Guid` | `getObjectId()`
`long` | `getPort()`
`java.lang.String` | `getSid()`
`boolean` | `hasHostId()`
`boolean` | `hasObjectId()`
`boolean` | `hasPort()`
`boolean` | `hasSid()`
`void` | `setHostId(java.lang.String s)`
`void` | `setObjectId(Guid id)`
`void` | `setPort(long s)`
`void` | `setSid(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setSid

    void setSid(java.lang.String s)

### getSid

    java.lang.String getSid()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSid

    boolean hasSid()

### setPort

    void setPort(long s)

### getPort

    long getPort()
                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasPort

    boolean hasPort()

### setHostId

    void setHostId(java.lang.String s)

### getHostId

    java.lang.String getHostId()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasHostId

    boolean hasHostId()

### setObjectId

    void setObjectId(Guid id)

### getObjectId

    Guid getObjectId()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasObjectId

    boolean hasObjectId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD